﻿/// <reference path="knockout-2.1.0.js" />
ko.bindingHandlers.executeOnLeave = {
	init: function (element, valueAccessor, allBindingsAccessor, viewModel) {
		var value = ko.utils.unwrapObservable(valueAccessor());
		$element = $(element);
		$element.igTextEditor('text', value);
       
		$element.bind("igtexteditorblur", function(evt, ui) {
            // Get the value of the text editor from the ui parameter
            var textVal = ui.owner.element.igTextEditor('text');
			valueAccessor()(textVal);		
		});
		
	},
	//update the control when the view model changes
	update: function (element, valueAccessor, allBindingsAccessor, viewModel) {
		var value = ko.utils.unwrapObservable(valueAccessor());
		$(element).igTextEditor('text', value);
	}
};